class Assignment(object):
    
    def __init__(self, name, weight, grade):
        '''(str, float) -> NoneType
        
        Create an Assignment object with name, weight, and grade.
        '''
        
        self._name = name
        self._weight = weight
        self._grade = grade
        
        
    def prettify_float(self, value):
        '''(float) -> str
        
        Remove all useless zeroes after a decimal point.
        (Credit to Yuanzhong Deng at stackoverflow.com/questions/981189/
        python-printing-floats-modifying-the-output.)
        
        >>> prettify_float(5.000)
        '5'
        >>> prettify_float(5.010)
        '5.01'
        '''
        
        value = '{:.4}'.format(value)
        if value.find('.') >= 0:
            return value.rstrip('0').rstrip('.')
        else:
            return value
        
        
    def __str__(self):
        return self._name
    
    
    def rename(self, name):
        self._name = name    
        
        
    def get_grade(self):
        return self._grade
    
    
    def get_weight(self):
        return self._weight
    
    
    def set_grade(self, grade):
        self._grade = float(grade)
        
        
    def set_weight(self, weight):
        self._weight = weight