class Profile(object):
      
    def __init__(self, name):
        '''(str) -> NoneType
        
        Create a Profile object with name and an empty list of courses.
        '''
        
        self._name = name
        self._courses = []
        
        
    def __str__(self):
        return self._name
    
    
    def get_contents(self):
        return self._courses
    
    def rename(self, name):
        self._name = name
        
    def add_course(self, course):
        '''(Course) -> NoneType
        
        Add the course to the profile.
        '''
        
        self._courses.append(course)
            
        
    def del_course(self, course):
        '''(Course) -> NoneType
        
        Remove the course from the profile.
        '''
        
        self._courses.remove(course)
        
        
    def get_CGPA(self):
        '''() -> float or int
        Return the average GPA of all courses or -1 if no courses have grades.
        '''
        
        GPAs = []
        
        for course in self._courses:
            GPA = course.get_grade()[3]
            if GPA != -1:
                GPAs.append(GPA)
                
        if len(GPAs) > 0:
            return sum(GPAs) / len(GPAs)
        
        return -1